General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] SOGo update.php


Chronological Thread 
  • From: " " < >
  • To:
  • Subject: Re: [SOGo] SOGo update.php
  • Date: Wed, 29 May 2013 18:25:48 +0200

Le 29/05/2013 14:58, MyName IsLive a écrit :
" type="cite">
Hi,
i installed sogo with dovecot on a server and download Thunderbird 17.0.6 ESR. i placed updates.php in /var/www and all plugins in same directory as well:
$ls -aln /var/www
-rw-r--r--  1 0 0 2876043 May 29 11:13 lightning-1.9.1.xpi
-rw-r--r--  1 0 0  244911 May 21 11:47 sogo-connector-17.0.5.xpi
-rw-r--r--  1 0 0  155780 May 29 13:48 sogo-integrator-17.0.5.xpi
-rw-r--r--  1 0 0    2233 May 29 14:37 updates.php

plugins should be in $platform directory , not at the same level than the updates.php : see the doc. + the php script. You should check your web server log too.

" type="cite">
updates.php:
<?php
/* This script handles the automatic propagation of extensions pertaining to a
   SOGo site. It requires PHP 4.1.0 or later. */
$plugins
= array(
        " "> "
         => array( "application" => "thunderbird",
                   "version" => "17.0.3",
                   "filename" => "sogo-connector-17.0.5.xpi" ),
        " "> "
         => array( "application" => "thunderbird",
                   "version" => "17.0.3",
                   "filename" => "sogo-integrator-17.0.5.xpi" ),
        "{e2fda1a4-762b-4020-b5ad-a41df1933103}"
        => array( "application" => "thunderbird",
                   "version" => "1.9.1",
                   "filename" => "lightning-1.9.1.xpi" )
);
$applications
= array( "thunderbird" => "<em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
                <em:minVersion>17.0</em:minVersion>
                <em:maxVersion>17.*</em:maxVersion>" );
$pluginname = $_GET["plugin"];
$plugin =& $plugins[$pluginname];
$application =& $applications[$plugin["application"]];
if ( $plugin ) {
  $platform = $_GET["platform"];
  if ( $platform
       && file_exists( $platform . "/" . $plugin["filename"] ) ) {
    $plugin["filename"] = $platform . "/" . $plugin["filename"];
  }
  elseif ( !file_exists( $plugin["filename"] ) ) {
    $plugin = false;
  }
}
if ( $plugin ) {
  header("Content-type: text/xml; charset=utf-8");
  echo ('<?xml version="1.0"?>' . "\n");
?>
<!DOCTYPE RDF>
<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:em="http://www.mozilla.org/2004/em-rdf#">
  <Description about="urn:mozilla:extension:<?php echo $pluginname ?>">
    <em:updates>
      <Seq>
        <li>
          <Description>
            <em:version><?php echo $plugin["version"] ?></em:version>
            <em:targetApplication>
              <Description><?php echo $applications[$plugin["application"]] ?>
                <em:updateLink><?php echo dirname(getenv('SCRIPT_URI')) . '/' . $plugin["filename"] ?></em:updateLink>
              </Description>
            </em:targetApplication>
          </Description>
        </li>
      </Seq>
    </em:updates>
  </Description>
</RDF>
<?php
} else {
  header("Content-type: text/plain; charset=utf-8", true, 404);
  echo( 'Plugin not found' );
}
?>
 
i already modify extionss.rdf :
<?xml version="1.0"?>
<!DOCTYPE RDF>
<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:isi="http://inverse.ca/sogo-integrator/"
  xmlns:em="http://www.mozilla.org/2004/em-rdf#"
  xmlns:NC="http://home.netscape.com/NC-rdf#">
  <Seq about="http://inverse.ca/sogo-integrator/extensions"
    isi:updateURL="http://192.168.4.85/updates.php?plugin=%ITEM_ID%&amp;version=%ITEM_VERSION%&amp;platform=%PLATFORM%">
    <li>
      <Description
        em:id=" "> "
        em:name="SOGo Integrator"/>
    </li>
    <li>
      <Description
        em:id=" "> "
        em:name="SOGo Connector"/>
    </li>
 <li>
  <Description
   em:id="{e2fda1a4-762b-4020-b5ad-a41df1933103}"
   em:name="Lightning"/>
 </li>
  </Seq>
</RDF>
.........
Should i change "e2fda1a4-762b-4020-b5ad-a41df1933103" with sogo integrator's id from install.rdf?
Now when im running thunderbird and installing new xpi file i have "Please wait while updating the extensions..." i give it long time but nothing changed!!!
 
Thank you for your helps




Archive powered by MHonArc 2.6.18.

Top of page